Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class Scrollbar

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Scrollbar

All Implemented Interfaces:
  Accessible, Adjustable, ImageObserver, MenuContainer, Serializable

public class Scrollbar
extends Component
implements Adjustable, Accessible

The `Scrollbar` class embodies a scroll bar, a familiar user-interface object. A scroll bar provides a convenient means for allowing a user to select from a range of values. The following three vertical scroll bars could be used as slider controls to pick the red, green, and blue components of a color:

Each scroll bar in this example could be created with code similar to the following:

>      redSlider=new Scrollbar(Scrollbar.VERTICAL, 0, 1, 0, 255);
>      add(redSlider);

Alternatively, a scroll bar can represent a range of values. For example, if a scroll bar is used for scrolling through text, the width of the "bubble" or "thumb" can represent the amount of text that is visible. Here is an example of a scroll bar that represents a range:

The value range represented by the bubble is the visible range of the scroll bar. The horizontal scroll bar in this example could be created with code like the following:

>      ranger = new Scrollbar(Scrollbar.HORIZONTAL, 0, 60, 0, 300);
>      add(ranger);

Note that the actual maximum value of the scroll bar is the `maximum` minus the `visible`. In the previous example, because the `maximum` is 300 and the `visible` is 60, the actual maximum value is 240. The range of the scrollbar track is 0 - 300. The left side of the bubble indicates the value of the scroll bar.

Normally, the user changes the value of the scroll bar by making a gesture with the mouse. For example, the user can drag the scroll bar's bubble up and down, or click in the scroll bar's unit increment or block increment areas. Keyboard gestures can also be mapped to the scroll bar. By convention, the Page Up and Page Down keys are equivalent to clicking in the scroll bar's block increment and block decrement areas.

When the user changes the value of the scroll bar, the scroll bar receives an instance of `AdjustmentEvent`. The scroll bar processes this event, passing it along to any registered listeners.

Any object that wishes to be notified of changes to the scroll bar's value should implement `AdjustmentListener`, an interface defined in the package `java.awt.event`. Listeners can be added and removed dynamically by calling the methods `addAdjustmentListener` and `removeAdjustmentListener`.

The `AdjustmentEvent` class defines five types of adjustment event, listed here:

- `AdjustmentEvent.TRACK` is sent out when the user drags the scroll bar's bubble.
- `AdjustmentEvent.UNIT_INCREMENT` is sent out when the user clicks in the left arrow of a horizontal scroll bar, or the top arrow of a vertical scroll bar, or makes the equivalent gesture from the keyboard.
- `AdjustmentEvent.UNIT_DECREMENT` is sent out when the user clicks in the right arrow of a horizontal scroll bar, or the bottom arrow of a vertical scroll bar, or makes the equivalent gesture from the keyboard.
- `AdjustmentEvent.BLOCK_INCREMENT` is sent out when the user clicks in the track, to the left of the bubble on a horizontal scroll bar, or above the bubble on a vertical scroll bar. By convention, the Page Up key is equivalent, if the user is using a keyboard that defines a Page Up key.
- `AdjustmentEvent.BLOCK_DECREMENT` is sent out when the user clicks in the track, to the right of the bubble on a horizontal scroll bar, or below the bubble on a vertical scroll bar. By convention, the Page Down key is equivalent, if the user is using a keyboard that defines a Page Down key.

The JDK 1.0 event system is supported for backwards compatibility, but its use with newer versions of the platform is discouraged. The fives types of adjustment event introduced with JDK 1.1 correspond to the five event types that are associated with scroll bars in previous platform versions. The following list gives the adjustment event type, and the corresponding JDK 1.0 event type it replaces.

- `AdjustmentEvent.TRACK` replaces `Event.SCROLL_ABSOLUTE`
- `AdjustmentEvent.UNIT_INCREMENT` replaces `Event.SCROLL_LINE_UP`
- `AdjustmentEvent.UNIT_DECREMENT` replaces `Event.SCROLL_LINE_DOWN`
- `AdjustmentEvent.BLOCK_INCREMENT` replaces `Event.SCROLL_PAGE_UP`
- `AdjustmentEvent.BLOCK_DECREMENT` replaces `Event.SCROLL_PAGE_DOWN`

Since:
  JDK1.0
See Also:
  `AdjustmentEvent`, `AdjustmentListener`, Serialized Form

Inner Class Summary
`protected class` | `Scrollbar.AccessibleAWTScrollBar` This class implements accessibility support for the `Scrollbar` class.

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Field Summary
`static int` | `HORIZONTAL` A constant that indicates a horizontal scroll bar.
`static int` | `VERTICAL` A constant that indicates a vertical scroll bar.

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Scrollbar()` Constructs a new vertical scroll bar.
`Scrollbar(int orientation)` Constructs a new scroll bar with the specified orientation.
`Scrollbar(int orientation, int value, int visible, int minimum, int maximum)` Constructs a new scroll bar with the specified orientation, initial value, page size, and minimum and maximum values.

Method Summary
`void` | `addAdjustmentListener(AdjustmentListener l)` Adds the specified adjustment listener to receive instances of `AdjustmentEvent` from this scroll bar.
`void` | `addNotify()` Creates the Scrollbar's peer.
`AccessibleContext` | `getAccessibleContext()` Gets the AccessibleContext associated with this Scrollbar.
`int` | `getBlockIncrement()` Gets the block increment of this scroll bar.
`int` | `getLineIncrement()` Deprecated. As of JDK version 1.1, replaced by `getUnitIncrement()`.
`EventListener[]` | `getListeners(Class listenerType)` Return an array of all the listeners that were added to the Scrollbar with addXXXListener(), where XXX is the name of the `listenerType` argument.
`int` | `getMaximum()` Gets the maximum value of this scroll bar.
`int` | `getMinimum()` Gets the minimum value of this scroll bar.
`int` | `getOrientation()` Determines the orientation of this scroll bar.
`int` | `getPageIncrement()` Deprecated. As of JDK version 1.1, replaced by `getBlockIncrement()`.
`int` | `getUnitIncrement()` Gets the unit increment for this scrollbar.
`int` | `getValue()` Gets the current value of this scroll bar.
`int` | `getVisible()` Deprecated. As of JDK version 1.1, replaced by `getVisibleAmount()`.
`int` | `getVisibleAmount()` Gets the visible amount of this scroll bar.
`protected String` | `paramString()` Returns the parameter string representing the state of this scroll bar.
`protected void` | `processAdjustmentEvent(AdjustmentEvent e)` Processes adjustment events occurring on this scrollbar by dispatching them to any registered `AdjustmentListener` objects.
`protected void` | `processEvent(AWTEvent e)` Processes events on this scroll bar.
`void` | `removeAdjustmentListener(AdjustmentListener l)` Removes the specified adjustment listener so that it no longer receives instances of `AdjustmentEvent` from this scroll bar.
`void` | `setBlockIncrement(int v)` Sets the block increment for this scroll bar.
`void` | `setLineIncrement(int v)` Deprecated. As of JDK version 1.1, replaced by `setUnitIncrement(int)`.
`void` | `setMaximum(int newMaximum)` Sets the maximum value of this scroll bar.
`void` | `setMinimum(int newMinimum)` Sets the minimum value of this scroll bar.
`void` | `setOrientation(int orientation)` Sets the orientation for this scroll bar.
`void` | `setPageIncrement(int v)` Deprecated. As of JDK version 1.1, replaced by `setBlockIncrement()`.
`void` | `setUnitIncrement(int v)` Sets the unit increment for this scroll bar.
`void` | `setValue(int newValue)` Sets the value of this scroll bar to the specified value.
`void` | `setValues(int value, int visible, int minimum, int maximum)` Sets the values of four properties for this scroll bar.
`void` | `setVisibleAmount(int newAmount)` Sets the visible amount of this scroll bar.

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPeer, getPreferredSize, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paint, paintAll, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, update, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HORIZONTAL

    public static final int HORIZONTAL

  A constant that indicates a horizontal scroll bar.

### VERTICAL

    public static final int VERTICAL

  A constant that indicates a vertical scroll bar.

Constructor Detail

### Scrollbar

    public Scrollbar()

  Constructs a new vertical scroll bar. The default properties of the scroll bar are listed in the following table:

  Property | Description | Default Value
  --- | --- | ---
  orientation | indicates if the scroll bar is vertical or horizontal | `Scrollbar.VERTICAL`
  value | value which controls the location of the scroll bar bubble | 0
  minimum | minimum value of the scroll bar | 0
  maximum | maximum value of the scroll bar | 100
  unit increment | amount the value changes when the Line Up or Line Down key is pressed, or when the end arrows of the scrollbar are clicked | 1
  block increment | amount the value changes when the Page Up or Page Down key is pressed, or when the scrollbar track is clicked on either side of the bubble | 10

### Scrollbar

    public Scrollbar(int orientation)

  Constructs a new scroll bar with the specified orientation.

  The `orientation` argument must take one of the two values `Scrollbar.HORIZONTAL`, or `Scrollbar.VERTICAL`, indicating a horizontal or vertical scroll bar, respectively.

  Parameters:
    `orientation` - indicates the orientation of the scroll bar.
  Throws:
    `IllegalArgumentException` - when an illegal value for the `orientation` argument is supplied.

### Scrollbar

    public Scrollbar(int orientation,
                     int value,
                     int visible,
                     int minimum,
                     int maximum)

  Constructs a new scroll bar with the specified orientation, initial value, page size, and minimum and maximum values.

  The `orientation` argument must take one of the two values `Scrollbar.HORIZONTAL`, or `Scrollbar.VERTICAL`, indicating a horizontal or vertical scroll bar, respectively.

  If the specified maximum value is less than the minimum value, it is changed to be the same as the minimum value. If the initial value is lower than the minimum value, it is changed to be the minimum value; if it is greater than the maximum value, it is changed to be the maximum value.

  Parameters:
    `orientation` - indicates the orientation of the scroll bar.
    `value` - the initial value of the scroll bar.
    `visible` - the size of the scroll bar's bubble, representing the visible portion; the scroll bar uses this value when paging up or down by a page.
    `minimum` - the minimum value of the scroll bar.
    `maximum` - the maximum value of the scroll bar.

Method Detail

### addNotify

    public void addNotify()

  Creates the Scrollbar's peer. The peer allows you to modify the appearance of the Scrollbar without changing any of its functionality.
  Overrides:
    `addNotify` in class `Component`
  Following copied from class: `java.awt.Component`
  See Also:
    `Component.isDisplayable()`, `Component.removeNotify()`

### getOrientation

    public int getOrientation()

  Determines the orientation of this scroll bar.
  Specified by:
    `getOrientation` in interface `Adjustable`
  Returns:
    the orientation of this scroll bar, either `Scrollbar.HORIZONTAL` or `Scrollbar.VERTICAL`.
  See Also:
    `setOrientation(int)`

### setOrientation

    public void setOrientation(int orientation)

  Sets the orientation for this scroll bar.
  Parameters:
    `the` - orientation of this scroll bar, either `Scrollbar.HORIZONTAL` or `Scrollbar.VERTICAL`.
  Throws:
    `IllegalArgumentException` - if the value supplied for `orientation` is not a legal value.
  Since:
    JDK1.1
  See Also:
    `getOrientation()`

### getValue

    public int getValue()

  Gets the current value of this scroll bar.
  Specified by:
    `getValue` in interface `Adjustable`
  Returns:
    the current value of this scroll bar.
  See Also:
    `getMinimum()`, `getMaximum()`

### setValue

    public void setValue(int newValue)

  Sets the value of this scroll bar to the specified value.

  If the value supplied is less than the current minimum or greater than the current maximum, then one of those values is substituted, as appropriate.

  Normally, a program should change a scroll bar's value only by calling `setValues`. The `setValues` method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

  Specified by:
    `setValue` in interface `Adjustable`
  Parameters:
    `newValue` - the new value of the scroll bar.
  See Also:
    `setValues(int, int, int, int)`, `getValue()`, `getMinimum()`, `getMaximum()`

### getMinimum

    public int getMinimum()

  Gets the minimum value of this scroll bar.
  Specified by:
    `getMinimum` in interface `Adjustable`
  Returns:
    the minimum value of this scroll bar.
  See Also:
    `getValue()`, `getMaximum()`

### setMinimum

    public void setMinimum(int newMinimum)

  Sets the minimum value of this scroll bar.

  Normally, a program should change a scroll bar's minimum value only by calling `setValues`. The `setValues` method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

  Specified by:
    `setMinimum` in interface `Adjustable`
  Parameters:
    `newMinimum` - the new minimum value for this scroll bar.
  Since:
    JDK1.1
  See Also:
    `setValues(int, int, int, int)`, `setMaximum(int)`

### getMaximum

    public int getMaximum()

  Gets the maximum value of this scroll bar.
  Specified by:
    `getMaximum` in interface `Adjustable`
  Returns:
    the maximum value of this scroll bar.
  See Also:
    `getValue()`, `getMinimum()`

### setMaximum

    public void setMaximum(int newMaximum)

  Sets the maximum value of this scroll bar.

  Normally, a program should change a scroll bar's maximum value only by calling `setValues`. The `setValues` method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

  Specified by:
    `setMaximum` in interface `Adjustable`
  Parameters:
    `newMaximum` - the new maximum value for this scroll bar.
  Since:
    JDK1.1
  See Also:
    `setValues(int, int, int, int)`, `setMinimum(int)`

### getVisibleAmount

    public int getVisibleAmount()

  Gets the visible amount of this scroll bar.

  The visible amount of a scroll bar is the range of values represented by the width of the scroll bar's bubble. It is used to determine the scroll bar's block increment.

  Specified by:
    `getVisibleAmount` in interface `Adjustable`
  Returns:
    the visible amount of this scroll bar.
  Since:
    JDK1.1
  See Also:
    `setVisibleAmount(int)`

### getVisible

    public int getVisible()

  Deprecated. As of JDK version 1.1, replaced by `getVisibleAmount()`.

### setVisibleAmount

    public void setVisibleAmount(int newAmount)

  Sets the visible amount of this scroll bar.

  The visible amount of a scroll bar is the range of values represented by the width of the scroll bar's bubble. It is used to determine the scroll bar's block increment.

  Normally, a program should change a scroll bar's value only by calling `setValues`. The `setValues` method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

  Specified by:
    `setVisibleAmount` in interface `Adjustable`
  Parameters:
    `newAmount` - the amount visible per page.
  Since:
    JDK1.1
  See Also:
    `getVisibleAmount()`, `setValues(int, int, int, int)`

### setUnitIncrement

    public void setUnitIncrement(int v)

  Sets the unit increment for this scroll bar.

  The unit increment is the value that is added (subtracted) when the user activates the unit increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

  Specified by:
    `setUnitIncrement` in interface `Adjustable`
  Parameters:
    `v` - the amount by which to increment or decrement the scroll bar's value.
  Since:
    JDK1.1
  See Also:
    `getUnitIncrement()`

### setLineIncrement

    public void setLineIncrement(int v)

  Deprecated. As of JDK version 1.1, replaced by `setUnitIncrement(int)`.

### getUnitIncrement

    public int getUnitIncrement()

  Gets the unit increment for this scrollbar.

  The unit increment is the value that is added (subtracted) when the user activates the unit increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

  Specified by:
    `getUnitIncrement` in interface `Adjustable`
  Returns:
    the unit increment of this scroll bar.
  Since:
    JDK1.1
  See Also:
    `setUnitIncrement(int)`

### getLineIncrement

    public int getLineIncrement()

  Deprecated. As of JDK version 1.1, replaced by `getUnitIncrement()`.

### setBlockIncrement

    public void setBlockIncrement(int v)

  Sets the block increment for this scroll bar.

  The block increment is the value that is added (subtracted) when the user activates the block increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

  Specified by:
    `setBlockIncrement` in interface `Adjustable`
  Parameters:
    `v` - the amount by which to increment or decrement the scroll bar's value.
  Since:
    JDK1.1
  See Also:
    `getBlockIncrement()`

### setPageIncrement

    public void setPageIncrement(int v)

  Deprecated. As of JDK version 1.1, replaced by `setBlockIncrement()`.

### getBlockIncrement

    public int getBlockIncrement()

  Gets the block increment of this scroll bar.

  The block increment is the value that is added (subtracted) when the user activates the block increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

  Specified by:
    `getBlockIncrement` in interface `Adjustable`
  Returns:
    the block increment of this scroll bar.
  Since:
    JDK1.1
  See Also:
    `setBlockIncrement(int)`

### getPageIncrement

    public int getPageIncrement()

  Deprecated. As of JDK version 1.1, replaced by `getBlockIncrement()`.

### setValues

    public void setValues(int value,
                          int visible,
                          int minimum,
                          int maximum)

  Sets the values of four properties for this scroll bar.

  This method simultaneously and synchronously sets the values of four scroll bar properties, assuring that the values of these properties are mutually consistent. It enforces the constraints that maximum cannot be less than minimum, and that value cannot be less than the minimum or greater than the maximum.

  Parameters:
    `value` - is the position in the current window.
    `visible` - is the amount visible per page.
    `minimum` - is the minimum value of the scroll bar.
    `maximum` - is the maximum value of the scroll bar.

### addAdjustmentListener

    public void addAdjustmentListener(AdjustmentListener l)

  Adds the specified adjustment listener to receive instances of `AdjustmentEvent` from this scroll bar. If l is null, no exception is thrown and no action is performed.
  Specified by:
    `addAdjustmentListener` in interface `Adjustable`
  Parameters:
    `l` - the adjustment listener.
  Since:
    JDK1.1
  See Also:
    `AdjustmentEvent`, `AdjustmentListener`, `removeAdjustmentListener(java.awt.event.AdjustmentListener)`

### removeAdjustmentListener

    public void removeAdjustmentListener(AdjustmentListener l)

  Removes the specified adjustment listener so that it no longer receives instances of `AdjustmentEvent` from this scroll bar. If l is null, no exception is thrown and no action is performed.
  Specified by:
    `removeAdjustmentListener` in interface `Adjustable`
  Parameters:
    `l` - the adjustment listener.
  Since:
    JDK1.1
  See Also:
    `AdjustmentEvent`, `AdjustmentListener`, `addAdjustmentListener(java.awt.event.AdjustmentListener)`

### getListeners

    public EventListener[] getListeners(Class listenerType)

  Return an array of all the listeners that were added to the Scrollbar with addXXXListener(), where XXX is the name of the `listenerType` argument. For example, to get all of the AdjustmentListener(s) for the given Scrollbar `s`, one would write:

       AdjustmentListener[] als = (AdjustmentListener[])(s.getListeners(AdjustmentListener.class))

  If no such listener list exists, then an empty array is returned.
  Overrides:
    `getListeners` in class `Component`
  Parameters:
    `listenerType` - Type of listeners requested
  Returns:
    all of the listeners of the specified type supported by this scrollbar
  Since:
    1.3

### processEvent

    protected void processEvent(AWTEvent e)

  Processes events on this scroll bar. If the event is an instance of `AdjustmentEvent`, it invokes the `processAdjustmentEvent` method. Otherwise, it invokes its superclass's `processEvent` method.
  Overrides:
    `processEvent` in class `Component`
  Parameters:
    `e` - the event.
  Since:
    JDK1.1
  See Also:
    `AdjustmentEvent`, `processAdjustmentEvent(java.awt.event.AdjustmentEvent)`

### processAdjustmentEvent

    protected void processAdjustmentEvent(AdjustmentEvent e)

  Processes adjustment events occurring on this scrollbar by dispatching them to any registered `AdjustmentListener` objects.

  This method is not called unless adjustment events are enabled for this component. Adjustment events are enabled when one of the following occurs:

  - An `AdjustmentListener` object is registered via `addAdjustmentListener`.
  - Adjustment events are enabled via `enableEvents`.

  Parameters:
    `e` - the adjustment event.
  Since:
    JDK1.1
  See Also:
    `AdjustmentEvent`, `AdjustmentListener`, `addAdjustmentListener(java.awt.event.AdjustmentListener)`, `Component.enableEvents(long)`

### paramString

    protected String paramString()

  Returns the parameter string representing the state of this scroll bar. This string is useful for debugging.
  Overrides:
    `paramString` in class `Component`
  Returns:
    the parameter string of this scroll bar.

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Gets the AccessibleContext associated with this Scrollbar. For scrollbars, the AccessibleContext takes the form of an AccessibleAWTScrollBar. A new AccessibleAWTScrollBar instance is created if necessary.
  Specified by:
    `getAccessibleContext` in interface `Accessible`
  Overrides:
    `getAccessibleContext` in class `Component`
  Returns:
    an AccessibleAWTScrollBar that serves as the AccessibleContext of this ScrollBar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.